Subject: Re: [PATCH] travis-ci: run previously failed tests first, then slowest to fastest

From: Junio C Hamano <[email-masked]>
Date: Tue, 19 Jan 2016 15:00:52 -0800

Jeff King <[email-masked]> writes:

> On Tue, Jan 19, 2016 at 10:24:29AM +0100, [email-masked] wrote:
>
>> From: Lars Schneider <[email-masked]>
>> 
>> Use the Travis-CI cache feature to store prove test results and make them
>> available in subsequent builds. This allows to run previously failed tests
>> first and run remaining tests in slowest to fastest order. As a result it
>> is less likely that Travis-CI needs to wait for a single test at the end
>> which speeds up the test suite execution by ~2 min.
>
> Thanks, this makes sense, and the patch looks good.
>
>> @@ -18,7 +22,7 @@ env:
>>      - P4_VERSION="15.2"
>>      - GIT_LFS_VERSION="1.1.0"
>>      - DEFAULT_TEST_TARGET=prove
>> -    - GIT_PROVE_OPTS="--timer --jobs 3"
>> +    - GIT_PROVE_OPTS="--timer --jobs 3 --state=failed,slow,save"
>
> Have you tried bumping --jobs here? I usually use "16" on my local box.

I think 3 comes from this:

  http://thread.gmane.org/gmane.comp.version-control.git/279348/focus=279674

>
> I also looked into the Travis "container" thing. It's not clear to me
> from their page:
>
>   https://docs.travis-ci.com/user/workers/container-based-infrastructure/
>
> whether we're using the new, faster container infrastructure or not.
> ...
> depends on when Travis "recognized" the repo, but I'm not quite sure
> what that means. Should we be adding "sudo: false" to the top-level of
> the yaml file?

In an earlier discussion

  http://thread.gmane.org/gmane.comp.version-control.git/279348/focus=279495

I found that we were not eligible for container-based sandbox as the
version of travis-yaml back then used "sudo".  I do not seem to find
the use of sudo in the recent one we have in my tree, so it would be
beneficial if somebody interested in Travis CI look into this.